Brauche Hilfe zum Update

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
CaroRadnor
Mitglied
Beiträge: 3
Registriert: 28.08.2017 11:24

Brauche Hilfe zum Update

Beitragvon CaroRadnor » 28.08.2017 11:30

Wir haben schon seit 2007 ein Forum über phpbb und der Freund einer Bekannten (sie ist auch Forenmitglied) sich um den Support bzw. die ganze technische Seite gekümmert. Leider haben sich die Beiden nun getrennt und ich habe nach etlichen Fehlermeldungen festgestellt, dass die letzten Jahre nichts mehr gemacht worden ist.
Das Forum hat also Version 3.0.12 und braucht dringend ein Update. Leider kenne ich mich überhaupt nicht damit aus und beim nachgucken habe ich festgestellt, dass es 2 Möglichkeiten gibt - Komplettpaket und Automatische Updates. Wie kann ich rausfinden, was ich machen muss und vor allem mit welcher Updateversion kann ich beginnen? Direkt von 3.0.12 auf 3.2.1 das klappt sicher nicht, oder?
Dann stellt sich nach der Klärung dieser Fragen noch die Frage - wie mache ich das Update?

Ich danke schon einmal im Voraus für die Hilfe! :D

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 2193
Registriert: 15.10.2012 03:27

Re: Brauche Hilfe zum Update

Beitragvon Melmac » 28.08.2017 12:04

Hi,

das Vorgehen beim Upgrade auf 3.2.1 wird in diesem KB-Artikel hier => phpBB 3.2 - Upgrade von phpBB 3.0 beschrieben. Einfach mal in Ruhe durchgehen und, wenn etwas unklar sein sollte, hier nachfragen.

Da sich am Code seit der phpBB 3.0-Linie sehr viel geändert hat und bei einem Upgrade daher ohnehin so gut wie alle alten Files geändert, ersetzt oder auch entfernt werden müssten, wäre das im Artikel beschriebene "Manuelle Update" mittels des Komplettpakets hier die einfachere und sicherere Vorgehensweise.
Falls Ihr Erweiterungen (= MODs) installiert haben solltet, dann sind diese mit phpBB 3.2.1 nicht mehr kompatibel. Gleiches gilt auch für alte Styles.

Das Upgrade selbst kannst Du dann in einem Zug durchführen, also direkt von 3.0.12 auf die aktuelle 3.2.1 upgraden.
Wichtig ist dabei, dass die im Artikel angesprochenen vorbereitenden Maßnahmen (Bereinigen der Datenbank etc.) beachtet und vorm eigentlichen Upgrade auch durchgeführt werden.
Auf diese Weise erhältst Du ein "ballastfreies" Board in der aktuellen Version.
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

CaroRadnor
Mitglied
Beiträge: 3
Registriert: 28.08.2017 11:24

Re: Brauche Hilfe zum Update

Beitragvon CaroRadnor » 29.08.2017 08:34

Vielen Dank für die schnelle Antwort! :P

Ob es MODs gibt, weiss ich leider nicht. Die Kommunikation mit dem "Ex-Verwalter" des Forums ist schwierig, da er keine Zeit hat (und logischerweise kein Interesse mehr daran). Kann man das irgendwo sehen?
Ich bin technisch bzw. auf der Informatik Ebene leider auch völlig unwissend. Durch den Artikel habe ich mich durchgelesen, verstehe aber weniger als die Hälfte... :-? :o Es fängt schon beim Bereinigen von Datenbanken an, ich habe keine Idee wie das geht, wo ich das finde und ob ich nicht mehr kaputt mache als in Ordnung bringe, wenn ich es einfach ausprobiere. Dann steht da noch, dass man das Forum vorher offline nehmen soll (auch da bin ich total überfragt wie das geht) und dass man das Update sicherheitshalber erst an einer Kopie des Boards laufen lassen soll - ich verstehe immer nur Bahnhof. Es ist tatsächlich zum Heulen. :-(

Gibt es zufällig jemanden, der das als Service (Dienstleistung) anbietet (Datenschutz vorausgesetzt)? Die einzelnen Updates, nach dem so dringend notwendigen Update von 3.0.12 auf 3.2.1, kann ich dann mit Unterstützung ja vielleicht selbst machen bzw. lernen es zu verstehen und durchzuführen. Die User unseres Forums sind auch bereit für diese Dienstleistung was zu bezahlen. :D Gerne PN an mich.

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1030
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: Brauche Hilfe zum Update

Beitragvon canonknipser » 29.08.2017 09:02

Wenn du Hilfe benötigst, die über die in der Regel von uns geleistete "Hilfe zur Selbsthilfe" hinausgeht, darfst du gerne eine Ausschreibung in der Jobbörse unter Beachtung der dortigen Regeln machen. Eine Suche nach bezahlter Hilfe außerhalb der Jobbörse ist nicht zulässig.
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;)
Kein Support via PN, nur im Board und (manchmal) im IRC

CaroRadnor
Mitglied
Beiträge: 3
Registriert: 28.08.2017 11:24

Re: Brauche Hilfe zum Update

Beitragvon CaroRadnor » 29.08.2017 09:33

Danke auch für diesen Tip :D

Lehrling
Supporter
Supporter
Beiträge: 2922
Registriert: 15.01.2012 20:00
Kontaktdaten:

Re: Brauche Hilfe zum Update

Beitragvon Lehrling » 29.08.2017 19:06

Vielleicht hilft dir auch dieses Video weiter: https://www.youtube.com/watch?v=_r05QN_ ... y6&index=7
Sind zwar andere Versionen, aber die Vorgehensweise ist dieselbe.


Zurück zu „Support-Forum“